---
# This changes as faster vehicles become available so we have to hard code it
# for now.
speed_bonus:
  airplane:
    748: .04
    851: .05
    945: .06
    2071: .17
  monorail:
    65: .03
    75: .04
    86: .05
    95: .06
    105: .07
  ship:
    1: .01
    21: .02
    25: .03
    29: .04
    33: .05
    37: .06
    41: .07
    45: .08
    49: .09
    53: .10
  ship (waste):
    1: .13
  train:
    1: .05
    191: .06
    212: .07
    232: .08
    253: .09
    274: .10
    295: .11
    315: .12
    336: .13
    # Until BB thunder (Aug, 2011)
    # 185: .06
    # 205: .07
    # 226: .08
    # 246: .09
    # 266: .10
    # 286: .11
    # 306: .12
  train (steel):
    89: 0.8
    191: .09
  tram:
    74: .03
    86: .04
    98: .05
    108: .06
  truck (mail):
    1: .01
    51: .02
    63: .03
    75: .04
    87: .05
    99: .06
    111: .07
    123: .08
    135: .09
    147: .10
  truck:
    1: .01
    61: .02
    72: .03
    84: .04
    96: .05
    106: .06
    118: .07
    129: .08
    141: .09
    152: .10
  airplane (1957):
    1: .01
    335: .02
    399: .03
    462: .04
    526: .05
    585: .06
    648: .07
    712: .08
    776: .09
  monorail (1957):
    54: .04
    62: .05
  ship (1957):
    27: .04
    31: .05
    35: .06
  train (1957):
    116: .07
    128: .08
    139: .09
    151: .10
  tram (1957):
    1: .01
    39: .02
    46: .03
    54: .04
    61: .05
    68: .06
    75: .07
  truck (1957):
    1: .01
    43: .03
    50: .04
    57: .05
    63: .06
    70: .07
airplane:
  - name: Boeing 737-100
    speed: 786
    upkeep: 4.77
    capacity: 114
  - name: Boeing 737-500
    speed: 786
    upkeep: 2.84
    capacity: 122
  - name: Boeing 737-200
    speed: 786
    upkeep: 4.45
    capacity: 126
  - name: Boeing 737-300
    speed: 786
    upkeep: 3.31
    capacity: 134
  - name: Boeing 737-400
    speed: 786
    upkeep: 3.95
    capacity: 159
  - name: Airbus A318-100
    speed: 828
    upkeep: 2.66
    capacity: 117
  - name: Boeing 737-600
    speed: 828
    upkeep: 3.19
    capacity: 130
  - name: Airbus A319-100
    speed: 828
    upkeep: 3.24
    capacity: 134
  - name: Boeing 737-700
    speed: 828
    upkeep: 3.67
    capacity: 148
  - name: SAC-Airbus A320-200
    speed: 828
    upkeep: 4.27
    capacity: 164
  - name: Boeing 737-800
    speed: 828
    upkeep: 4.67
    capacity: 184
  - name: Airbus A321-200
    speed: 828
    upkeep: 5.05
    capacity: 199
  - name: Boeing 737-900
    speed: 828
    upkeep: 5.48
    capacity: 215
  - name: Boeing 757-200
    speed: 850
    upkeep: 6.61
    capacity: 234
  - name: Boeing 757-300
    speed: 850
    upkeep: 7.82
    capacity: 289
  - name: Boeing 767-200
    speed: 851
    upkeep: 7.28
    capacity: 255
  - name: Boeing 767-300
    speed: 851
    upkeep: 9.82
    capacity: 350
  - name: Boeing 767-400
    speed: 851
    upkeep: 9.77
    capacity: 375
  - name: Bombardier CRJ-200
    speed: 860
    upkeep: 1.36
    capacity: 50
  - name: Embraer E-170
    speed: 870
    upkeep: 2.14
    capacity: 80
  - name: Embraer E-190
    speed: 870
    upkeep: 2.95
    capacity: 110
  - name: SAC-Airbus A330-200
    speed: 871
    upkeep: 7.20
    capacity: 293
  - name: Airbus A340-200
    speed: 871
    upkeep: 7.43
    capacity: 300
  - name: SAC-Airbus A340-300
    speed: 871
    upkeep: 8.57
    capacity: 335
  - name: Airbus A330-300
    speed: 871
    upkeep: 8.67
    capacity: 335
  - name: Airbus A340-500
    speed: 871
    upkeep: 8.16
    capacity: 359
  - name: Airbus A340-600
    speed: 871
    upkeep: 9.98
    capacity: 419
  - name: Bombardier CRJ-900
    speed: 881
    upkeep: 2.41
    capacity: 86
  - name: Airbus A380-800
    speed: 903
    upkeep: 16.16
    capacity: 644
  - name: Boeing 777-200
    speed: 905
    upkeep: 11.38
    capacity: 400
  - name: Boeing 777-300
    speed: 905
    upkeep: 12.46
    capacity: 450
  - name: Boeing 747-400
    speed: 913
    upkeep: 15.53
    capacity: 524
  - name: SAC-Aerospatiale Concorde
    speed: 2170
    upkeep: 10.75
    capacity: 100
  - name: Airbus A350-900
    speed: 903
    upkeep: 11.44
    capacity: 420
  - name: Airbus A350-1000
    speed: 903
    upkeep: 11.80
    capacity: 475
monorail:
  - name: PMNV TC-1 TurboCar
    modifier: shortest
    tiles: 1
    speed: 100
    upkeep: .29
    capacity: 82
  - name: PMNV TC-1 TurboCar
    modifier: longest 1 tile
    tiles: 1
    speed: 100
    upkeep: .58
    capacity: 164
  - name: PMNV TC-1 TurboCar
    modifier: shortest 2 tile
    tiles: 2
    speed: 100
    upkeep: .87
    capacity: 246
  - name: PMNV TC-1 TurboCar
    modifier: longest
    tiles: 2
    speed: 100
    upkeep: 1.16
    capacity: 328
  - name: PMNV TC-2 TurboSet
    modifier: shortest
    tiles: 1
    speed: 90
    upkeep: .48
    capacity: 190
  - name: PMNV TC-2 TurboSet
    modifier: longest
    tiles: 2
    speed: 90
    upkeep: .74
    capacity: 380
  - name: PMNV TC-7 Astro Trolley
    modifier: shortest
    tiles: 1
    speed: 110
    upkeep: .28
    capacity: 100
  - name: PMNV TC-7 Astro Trolley
    modifier: longest 1 tile
    tiles: 1
    speed: 110
    upkeep: .56
    capacity: 200
  - name: PMNV TC-7 Astro Trolley
    modifier: shortest 2 tile
    tiles: 2
    speed: 110
    upkeep: .84
    capacity: 300
  - name: PMNV TC-7 Astro Trolley
    modifier: longest
    tiles: 2
    speed: 110
    upkeep: 1.12
    capacity: 400
ship:
  - name: Oggia Ferry
    capacity: 300
    speed: 37
    upkeep: 3.50
  - name: MV Balmoral
    capacity: 500
    speed: 35
    upkeep: 7.77
  - name: MV Balmoral
    modifier: w/ 50 Mail
    capacity: 500
    speed: 35
    upkeep: 8.65
  - name: Queen Elizabeth
    capacity: 2100
    speed: 53
    upkeep: 38.89
train:
  - name: RENFE Class 252 "Altaria"
    modifier: biggest
    tiles: 12
    speed: 230
    upkeep: 21.95
    capacity: 1530
  - name: RENFE Class 252 "Altaria"
    modifier: efficient
    tiles: 10
    speed: 230
    upkeep: 18.50
    capacity: 1260
  - name: TGV 4400
    modifier:
    tiles: 12
    speed: 320
    upkeep: 32.08
    capacity: 768
  - name: RVg Spike Duplex (Front engine)
    modifier: longest
    tiles: 12
    speed: 300
    upkeep: 37.66
    capacity: 1176
  - name: RVg Spike Duplex (Front engine)
    modifier: half-size
    tiles: 6
    speed: 300
    upkeep: 18.83
    capacity: 588
  - name: RVg Spike Duplex (Front engine)
    modifier: shortest
    tiles: 3
    speed: 300
    upkeep: 9.05
    capacity: 252
  - name: TGV Atlantique
    modifier:
    tiles: 12
    speed: 300
    upkeep: 44.04
    capacity: 686
  - name: BR-373 "Eurostar"
    modifier:
    tiles: 12
    speed: 300
    upkeep: 47.55
    capacity: 688
  - name: JR 700 Series Shinkansen "Hikari Rail Star"
    modifier: longest
    tiles: 15
    speed: 285
    upkeep: 97.61
    capacity: 1867
  - name: JR 700 Series Shinkansen "Hikari Rail Star"
    modifier: 12 tile
    tiles: 12
    speed: 285
    upkeep: 75.56
    capacity: 1467
  - name: Haru Spike PSE (Head)
    modifier: 1978-2008
    tiles: 12
    speed: 285
    upkeep: 54.84
    capacity: 840
  - name: Haru ACE (Head)
    modifier:
    tiles: 11
    speed: 280
    upkeep: 43.12
    capacity: 1056
  - name: Haru E3 "Komachi"
    modifier:
    tiles: 12
    speed: 273
    upkeep: 66.84
    capacity: 1236
  - name: BB Thunder
    modifier: +384 mail (so 100% pax == 77% total capacity)
    tiles: 12
    speed: 350
    upkeep: 39.54
    capacity: 1296
train (steel):
  - name: Sindor-Skoda 109E
    modifier: Cannonball Bed Car (45t)
    tiles: 12
    speed: 130
    upkeep: 7.26
    capacity: 990
  - name: RENFE Class 252 "Altaria"
    modifier: Cannonball Bed Car (45t)
    tiles: 12
    speed: 130
    upkeep: 7.5
    capacity: 945
  - name: OeBB Reihe 1016 "Taurus"
    modifier: Cannonball Bed Car (45t)
    tiles: 12
    speed: 130
    upkeep: 8.37
    capacity: 945
  - name: RENFE Class 252 "Altaria"
    modifier: RvG Steel Carrier (40t)
    tiles: 12
    speed: 110
    upkeep: 5.8
    capacity: 880
tram:
  - name: RVg T109
    modifier: smallest
    tiles: 1
    speed: 85
    upkeep: 1.07
    capacity: 147
  - name: RVg T109
    modifier: biggest
    tiles: 2
    speed: 85
    upkeep: 2.14
    capacity: 294
  - name: Citadis402_Bordeaux_1
    modifier:
    tiles: 2
    speed: 90
    upkeep: .98
    capacity: 260
  - name: Citadis402_Tours_front
    modifier: shortest
    tiles: 1
    speed: 95
    upkeep: .55
    capacity: 140
  - name: Citadis402_Tours_front
    modifier: medium 1 tile
    tiles: 1
    speed: 95
    upkeep: .95
    capacity: 290
  - name: Citadis402_Tours_front
    modifier: medium 2 tile
    tiles: 2
    speed: 95
    upkeep: .75
    capacity: 215
  - name: Citadis402_Tours_front
    modifier: longest
    tiles: 2
    speed: 95
    upkeep: .95
    capacity: 290
  - name: MHz T-235 SuperCity
    modifier: smallest 1 tile
    tiles: 1
    speed: 90
    upkeep: .74
    capacity: 78
  - name: MHz T-235 SuperCity
    modifier: medium 1 tile
    tiles: 1
    speed: 90
    upkeep: 1.48
    capacity: 156
  - name: MHz T-235 SuperCity
    modifier: medium 2 tile
    tiles: 2
    speed: 90
    upkeep: 2.22
    capacity: 234
  - name: MHz T-235 SuperCity
    modifier: biggest
    tiles: 2
    speed: 90
    upkeep: 2.96
    capacity: 312
  - name: T-211 Eurotram
    modifier: smallest
    tiles: 2
    speed: 100
    upkeep: 1.23
    capacity: 292
  - name: T-211 Eurotram
    modifier: smallest
    tiles: 2
    speed: 100
    upkeep: .86
    capacity: 188
  - name: T-202 Cityway
    modifier: biggest
    tiles: 2
    speed: 100
    upkeep: .92
    capacity: 224
  - name: T-202 Cityway
    modifier: smallest
    tiles: 2
    speed: 100
    upkeep: .68
    capacity: 164
  - name: T-222 Combino Supra
    modifier: smallest
    tiles: 1
    capacity: 170
    speed: 100
    upkeep: .58
  - name: T-222 Combino Supra
    modifier: medium
    tiles: 1
    capacity: 230
    speed: 100
    upkeep: .78
  - name: T-222 Combino Supra
    modifier: biggest
    tiles: 2
    capacity: 290
    speed: 100
    upkeep: .98
  - name: T-212 Sirio
    modifier: smallest
    tiles: 1
    capacity: 148
    speed: 100
    upkeep: .62
  - name: T-212 Sirio
    modifier: medium
    tiles: 2
    capacity: 232
    speed: 100
    upkeep: .95
  - name: T-212 Sirio
    modifier: biggest
    tiles: 2
    capacity: 316
    speed: 100
    upkeep: 1.28
  - name: RVg T110 - super tram
    modifier: shortest
    tiles: 1
    capacity: 175
    speed: 110
    upkeep: 1.53
  - name: RVg T110 - super tram
    modifier: longest
    tiles: 2
    capacity: 350
    speed: 110
    upkeep: 3.06
truck:
  - name: Skoda 21 tr
    tiles:
    speed: 70
    upkeep: .57
    capacity: 86
  - name: Skoda 22 tr
    tiles:
    speed: 65
    upkeep: .97
    capacity: 158
  - name: Skoda 23 tr
    modifier: 2 tiles
    tiles: 2
    speed: 65
    upkeep: 2.31
    capacity: 368
  - name: Skoda 24 tr
    tiles:
    speed: 65
    upkeep: .44
    capacity: 99
  - name: Skoda 25 tr
    modifier:
    tiles: 1
    speed: 65
    upkeep: 0.69
    capacity: 150
  - name: Irisbus_Cristalis_ETB18_front
    tiles:
    speed: 80
    upkeep: 1.41
    capacity: 172
  - name: Irisbus_Cristalis_ETB12
    tiles:
    speed: 80
    upkeep: .80
    capacity: 97
  - name: Colonel's NovaBus RTS-06 WFD
    tiles:
    speed: 60
    upkeep: .39
    capacity: 70
  - name: Mercedes Citaro
    tiles:
    speed: 70
    upkeep: 75
    capacity: 91
  - name: SMC H-38 MiniBus
    tiles:
    speed: 75
    upkeep: .26
    capacity: 38
  - name: PMNV Hydrogen Cruiser
    tiles:
    speed: 75
    upkeep: .45
    capacity: 62
  - name: SMC H-98 City Bus
    tiles:
    speed: 75
    upkeep: .68
    capacity: 98
  - name: Cruiser Mini
    tiles:
    speed: 80
    upkeep: .22
    capacity: 20
  - name: Man_Lions_City_G_front
    tiles:
    speed: 83
    upkeep: 1.12
    capacity: 150
  - name: Man_Lions_City
    tiles:
    speed: 85
    upkeep: 1.07
    capacity: 107
  - name: Irisbus_Magelys_HD
    tiles:
    speed: 128
    upkeep: 1.03
    capacity: 54
  - name: Traveler
    tiles:
    speed: 130
    upkeep: 1.23
    capacity: 58
  - name: Irisbus_Magelys_HDH
    tiles:
    speed: 152
    upkeep: 1.48
    capacity: 62
truck (mail):
  - name: MS-Sprinter Mail Van
    modifier:
    speed: 110
    upkeep: .59
    capacity: 40
  - name: PMNV Postal Truck 60
    modifier:
    speed: 80
    upkeep: .54
    capacity: 60
  - name: PMNV Postal Truck 77
    modifier:
    speed: 70
    upkeep: .53
    capacity: 77
  - name: PMNV Postal Truck 60
    modifier: PMNV Post Trailer
    speed: 70
    upkeep: .69
    capacity: 140
  - name: mja-Scania R500 Topline
    modifier: PMNV Post Trailer
    speed: 130
    upkeep: 1.46
    capacity: 110
  - name: mja-Volvo VN660
    modifier: PMNV Post Trailer
    speed: 130
    upkeep: 1.40
    capacity: 110
  - name: mja-MAN 19332
    modifier: PMNV Post Trailer
    speed: 110
    upkeep: 1.26
    capacity: 110
  - name: Traveler
    modifier: VSYS Heavy Post Trailer
    speed: 110
    upkeep: 1.47
    capacity: 60
  - name: PMNV Postal Truck 77
    modifier: PMNV Post Trailer
    speed: 70
    upkeep: .68
    capacity: 157
ship (waste):
  - name: Mhz R2a Push-Tug
    modifier: Bulk Barge
    speed: 28
    upkeep: 3.16
    capacity: 165
  - name: MHz C11C Bulk Barge
    speed: 25
    upkeep: 5.73
    capacity: 165
  - name: MV Fedra
    speed: 29
    upkeep: 31.25
    capacity: 900
  - name: Owari Maru
    speed: 28
    upkeep: 62.50
    capacity: 1800
airplane (1957):
  - name: Douglas DC-3
    speed: 274
    upkeep: .92
    capacity: 32
  - name: De Havilland Comet
    speed: 810
    upkeep: 3.27
    capacity: 56
  - name: Lockheed Constellation
    speed: 547
    upkeep: 3.55
    capacity: 62
  - name: Boeing 377 Stratoliner
    speed: 603
    upkeep: 5.02
    capacity: 84
  - name: Douglas DC-6
    speed: 507
    upkeep: 5.09
    capacity: 102
monorail (1957):
  - name: GTW 62
    modifier: longest
    tiles: 1
    speed: 65
    upkeep: .36
    capacity: 160
  - name: GTW 62
    modifier: smallest
    tiles: 1
    speed: 65
    upkeep: .18
    capacity: 80
ship (1957):
  - name: MV Balmoral
    capacity: 500
    speed: 35
    upkeep: 7.77
  - name: MV Balmoral
    modifier: w/ 50 Mail
    capacity: 500
    speed: 35
    upkeep: 8.65
  - name: Gripsholm
    capacity: 1900
    speed: 32
    upkeep: 41.33
  - name: Gripsholm
    modifier: w/ 150 Mail
    capacity: 1900
    speed: 32
    upkeep: 44.12
train (1957):
  - name: RVg Hiawatha Express (Engine)
    modifier:
    tiles: 3
    speed: 151
    upkeep: 8.60
    capacity: 150
  - name: RVg Daylight (Engine)
    tiles: 5
    speed: 122
    upkeep: 12.92
    capacity: 523
  - name: VT-105
    tiles: 2
    speed: 120
    upkeep: 2.63
    capacity: 134
  - name: RENFE Class 350 Talgo
    modifier:
    tiles: 3
    speed: 120
    upkeep: 5.87
    capacity: 250
  - name: RVg 2-4-0 "Express"
    modifier:
    tiles: 3
    speed: 145
    upkeep: 5.33
    capacity: 240
  - name: RENFE Class 276 "French"
    modifier: Cannonball BTx 060 2nd Grade Coach
    tiles: 12
    speed: 120
    upkeep: 23.12
    capacity: 1900
  - name: RENFE Class 276 "French"
    modifier: RENFE Class 6000 Passenger Car
    tiles: 12
    speed: 120
    upkeep: 17.04
    capacity: 1200
tram (1957):
  - name: Due WAG GT6
    modifier: smallest
    tiles: 1
    speed: 75
    upkeep: .97
    capacity: 150
  - name: Due WAG GT6
    modifier: largest
    tiles: 2
    speed: 75
    upkeep: 1.94
    capacity: 300
  - name: RVg T103
    modifier: largest
    tiles: 2
    speed: 55
    upkeep: 1.56
    capacity: 212
  - name: RVg T103
    modifier: smallest 2 tile
    tiles: 2
    speed: 55
    upkeep: 1.44
    capacity: 162
  - name: RVg T103
    modifier: largest 1 tile
    tiles: 1
    speed: 55
    upkeep: .96
    capacity: 108
  - name: RVg T103
    modifier: smallest
    tiles: 1
    speed: 55
    upkeep: .48
    capacity: 54
  - name: RVg T104 - unified tram
    modifier: largest
    tiles: 2
    speed: 60
    upkeep: 2.16
    capacity: 240
  - name: RVg T104 - unified tram
    modifier: smallest 2 tile
    tiles: 2
    speed: 60
    upkeep: 1.62
    capacity: 180
  - name: RVg T104 - unified tram
    modifier: largest 1 tile
    tiles: 1
    speed: 60
    upkeep: 1.08
    capacity: 120
  - name: RVg T104 - unified tram
    modifier: smallest
    tiles: 1
    speed: 60
    upkeep: .54
    capacity: 60
  - name: RVg T105
    modifier: largest
    tiles: 2
    speed: 65
    upkeep: 2.60
    capacity: 288
  - name: RVg T105
    modifier: largest 1 tile
    tiles: 1
    speed: 65
    upkeep: 1.40
    capacity: 144
  - name: RVg T105
    modifier: smallest 2 tile
    tiles: 2
    speed: 65
    upkeep: 1.95
    capacity: 216
  - name: RVg T105
    modifier: smallest
    tiles: 1
    speed: 65
    upkeep: .65
    capacity: 72
truck (1957):
  - name: Skoda 6 tr
    tiles: 1
    speed: 46
    upkeep: .78
    capacity: 79
  - name: Skoda 8 tr
    tiles: 1
    speed: 50
    upkeep: .66
    capacity: 78
  - name: Skoda 10 tr
    tiles: 1
    speed: 60
    upkeep: 1.22
    capacity: 111
  - name: Tatra 401 T
    tiles: 1
    speed: 70
    upkeep: 1.42
    capacity: 79
  - name: AEC Aclo Regent III
    tiles: 1
    speed: 45
    upkeep: .58
    capacity: 60
  - name: Gaz 4
    tiles: 1
    speed: 48
    upkeep: .96
    capacity: 60
  - name: PAZ 672
    tiles: 1
    speed: 55
    upkeep: .82
    capacity: 45
  - name: Flxible Twin FT2-40
    tiles: 1
    speed: 55
    upkeep: .74
    capacity: 64
  - name: PAZ 772
    tiles: 1
    speed: 58
    upkeep: 1.07
    capacity: 58
  - name: LIAZ 677
    tiles: 1
    speed: 60
    upkeep: 1.10
    capacity: 65
